List supported tokens grouped by chain ID
curl --request GET \
--url https://api.delora.build/v1/tokensimport requests
url = "https://api.delora.build/v1/tokens"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.delora.build/v1/tokens', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"8453": [
{
"address": "0x833589fCD6eDb6E08f4c7C32D4f71b54bdA02913",
"symbol": "USDC",
"decimals": 6,
"chainId": 8453,
"name": "USD Coin",
"coinKey": "USDC",
"priceUSD": "1.00",
"priceUpdatedAt": "2026-06-22T12:00:00.000Z",
"priceSource": "dexscreener",
"priceStale": false,
"priceTier": "cold",
"logoURI": "https://example.com/usdc.png"
}
]
}API Endpoints
Get tokens
Returns supported tokens grouped by chain ID. Use chains to limit the response to specific chain IDs and chainTypes to filter by EVM or SVM networks.
GET
/
v1
/
tokens
List supported tokens grouped by chain ID
Headers
Optional API key for higher rate limits and fee rules.
Query Parameters
Comma-separated chain IDs used to filter tokens.
Example:
84531
Comma-separated chain types to include. Supported values: EVM, SVM.
Example:
"EVM,SVM"
Response
Tokens grouped by chain ID.
Show child attributes
Show child attributes

